<#ibiztemplate>
TARGET=PSSYSTEM
</#ibiztemplate>

import ${pub.getPKGCodeName()}.demoMain;
import ${pub.getPKGCodeName()}.quickstart.domain.BOOK;
import ${pub.getPKGCodeName()}.quickstart.mapper.BOOKMapper;
import org.junit.Before;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;
import javax.sql.DataSource;
import java.sql.Connection;
import java.sql.SQLException;

@RunWith(SpringRunner.class)
@SpringBootTest(classes = demoMain.class)
public class ApplicationTest {

    @Autowired
    private DataSource dataSource;
    @Autowired
    private BOOKMapper bookMapper;

    @Before
    public void beforeTest() {
        try {
            Connection connection = dataSource.getConnection();
            //建表SQL
            String bookSql="create table IF NOT EXISTS  T_BOOK \n" +
                    "(\n" +
                    "  bookid      VARCHAR2(100) not null,\n" +
                    "  createman  VARCHAR2(60),\n" +
                    "  updateman  VARCHAR2(60),\n" +
                    "  createdate DATE,\n" +
                    "  bookname    VARCHAR2(200),\n" +
                    "  updatedate DATE ,\n" +
                    "  pubyearisbn VARCHAR2(200),\n" +
                    "  price number\n" +
                    ")";
            connection.createStatement().execute(bookSql);
            connection.close();
        } catch (SQLException e) {
            e.printStackTrace();
        }
    }

    @Test
    public void testMain() {
        BOOK book = new BOOK();
        book.setBookid("1");
        book.setBookname("java程序设计");
        bookMapper.insert(book);
    }
}

